System.ServiceModel 4.0.0.0 System.IdentityModel.Tokens.SecurityKeyIdentifierClause To be added.

Represents the key identifier clause for a security context token.

- Constructor
  4.0.0.0

  For more about the parameter, see .

  Initializes a new instance of the class using the specified context identifier.

  The unique ID of the security context.
- Constructor
  4.0.0.0

  For more about the parameter, see .

  For more about the parameter, see .

  Initializes a new instance of the class using the specified context identifier and generation.

  A that represents the Context ID of the security context.
  A that refers to the Key generation of the Security Context Token.
- Constructor
  4.0.0.0

  and are used for implied derived keys. This is supported only on the sending side.

  Initializes a new instance of the class with the specified values.

  The context ID part of the identifier clause.
  The generation part of the identifier clause.
  The nonce ("number used once") used to derive the token.
  The length of the key being derived.
- Property
  4.0.0.0
  System.Xml.UniqueId To be added. To be added.

  Gets the ID of the security context.

- Property
  4.0.0.0
  System.Xml.UniqueId To be added. To be added.

  Gets the generation.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Compares a specified to the current instance of the class.

  true if the two instances are equal; otherwise, false.

  The to be compared.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares a specified to the current instance of the class with the specified context identifier and generation.

  true if the two instances are equal; otherwise, false.

  The context ID part of the identifier clause. The generation part of the identifier clause.
- Method
  4.0.0.0
  System.String To be added.

  Provides a text representation of this instance of the class.

  A text representation of this instance of the class.